Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBResourceMBean

All Superinterfaces:
  CIBManagedObjectMBean, CIBMonitoredObjectMBean, CIBObjectMBean

All Known Implementing Classes:
  CIBResource

public interface CIBResourceMBean
extends CIBMonitoredObjectMBean

Provides methods that should be implemented by a CIBResource The CIBResource is the base object model to represent a software resource. A software resource is embedded in an application's binary and provides consumable items or computation services that the application uses to process requests. Examples of a resource include the JVM, a connections pool, a cache, etc., .

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`javax.management.ObjectName` | `getApplication()` Provides the object name of the CIBApplication
`javax.management.ObjectName` | `getService()` Provides the object name of the CIBResource

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`getAvailabilityStatusDegradedTime, getAvailabilityStatusLastChange, getAvailabilityStatusState, getOpenStatistic, getOpenStatistics, getOpenStats, getOperationalStatusLastChange, getOperationalStatusStartTime, getOperationalStatusState, getStatisticNames, getStats, isStateProvider, isStatisticProvider, setStateProvider, setStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### getApplication

    public javax.management.ObjectName getApplication()

  Provides the object name of the CIBApplication

  Returns:
    ObjectName

### getService

    public javax.management.ObjectName getService()

  Provides the object name of the CIBResource

  Returns:
    ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD